package es.uv.saic.dto;

import es.uv.saic.domain.Tasca;
import es.uv.saic.domain.Tipus;

public class TascaDTO {
    private Integer idTasca;
    private String codiEvidencia;
    private Integer tipus;
    private String nomEvidenciaCas;

    
    public TascaDTO() {
    }

    public TascaDTO(Integer idTasca, String codiEvidencia, Tipus tipus, String nomEvidenciaCas) {
        this.idTasca = idTasca;
        this.codiEvidencia = codiEvidencia;
        this.tipus = tipus.getTipus();
        this.nomEvidenciaCas = nomEvidenciaCas;
    }

    public TascaDTO(Tasca tasca) {
        this.idTasca = tasca.getIdTasca();
        this.codiEvidencia = tasca.getCodiEvidencia();
        this.tipus = tasca.getTipus().getTipus();
        this.nomEvidenciaCas = tasca.getNomEvidenciaCas();
    }

    public Integer getIdTasca() {
        return idTasca;
    }

    public void setIdTasca(Integer idTasca) {
        this.idTasca = idTasca;
    }

    public String getCodiEvidencia() {
        return codiEvidencia;
    }

    public void setCodiEvidencia(String codiEvidencia) {
        this.codiEvidencia = codiEvidencia;
    }

    public Integer getTipus() {
        return tipus;
    }
    
    public void setTipus(Integer tipus) {
        this.tipus = tipus;
    }

    public String getNomEvidenciaCas() {
        return nomEvidenciaCas;
    }

    public void setNomEvidenciaCas(String nomEvidenciaCas) {
        this.nomEvidenciaCas = nomEvidenciaCas;
    }
}
